
.wrapper .content-wrapper {
    margin-left: 0px !important;
    transition: margin-right.3s ease-in-out !important;
    margin-right: 250px !important;
}

.sidebar-mini.sidebar-collapse .content-wrapper, .sidebar-mini.sidebar-collapse .main-footer, .sidebar-mini.sidebar-collapse .main-header {
    margin-right: 4.6rem !important;
    margin-right: 0!important;

}

.nav-sidebar{
    padding: 0 !important;
}


#dataTableBuilder_filter{
    display: flex !important;
    justify-content: end !important;

}
#mytable_filter{
    margin: 10px 0;
}
.page-item:first-child .page-link {
    border-top-right-radius: var(--bs-pagination-border-radius);
    border-bottom-right-radius: var(--bs-pagination-border-radius);
}
.page-item:first-child .page-link {
    margin-left: 0;
    border-top-left-radius: 0rem;
     border-bottom-left-radius: 0rem;
}
.page-item:last-child .page-link {
    border-top-left-radius: var(--bs-pagination-border-radius);
    border-bottom-left-radius: var(--bs-pagination-border-radius);
}
.page-item:last-child .page-link {
    border-top-right-radius: 0rem;
    border-bottom-right-radius: 0rem;
}
.btn-group > .btn:not(:last-child):not(.dropdown-toggle), .btn-group > .btn.dropdown-toggle-split:first-child, .btn-group > .btn-group:not(:last-child) > .btn {
    border-top-left-radius: 0 !important;
    border-bottom-left-radius: 0 !important;
}
.custom-file-label::after {
    position: absolute;
    top: 0;
    left: 0;
    right:unset !important;
    bottom: 0;
    z-index: 3;
    display: block;
    height: 2.25rem;
    padding: 0.375rem 0.75rem;
    line-height: 1.5;
    color: #495057;
    content: "Browse";
    background-color: #e9ecef;
    border-left: inherit;
    border-radius:  0.25rem 0 0 0.25rem ;
}
.form-control {
    display: block;
    width: 100%;
    padding:0   24px 0 12px !important;
    font-size: 0.9rem;
    font-weight: 400;
    line-height: 1.6;
    color: #212529;
    background-color: #f8fafc;
    background-clip: padding-box;
    border: 1px solid #ced4da;
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    border-radius: 0.375rem;
    transition: border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
}

.btn-group>.btn-group:not(:last-child)>.btn, .btn-group>.btn:not(:last-child):not(.dropdown-toggle) {
    border-top-right-radius: 0.24rem;
    border-bottom-right-radius: 0.25rem;
}
#menu{
    right:0 ;
}

.control-sidebar, .control-sidebar::before {
    bottom: calc(3.5rem + 1px);
    display: none;
    left: -250px;
    right:unset;
    width: 250px;

}

.control-sidebar-slide-open .control-sidebar, .control-sidebar-slide-open .control-sidebar::before {
    left: 0;
    right:unset;

}
.nav-sidebar .nav-item>.nav-link .right{
    left: 80%;
    right: 0.5rem;
}


.btn-group > :not(.btn-check:first-child) + .btn, .btn-group > .btn-group:not(:first-child) {
    margin-right: 0px;
}
.btn-group > .btn:nth-child(n+3), .btn-group > :not(.btn-check) + .btn, .btn-group > .btn-group:not(:first-child) > .btn {
    border-top-right-radius: 0 !important;
    border-bottom-right-radius: 0 !important;
}
.nav-sidebar .nav-link>.right, .nav-sidebar .nav-link>p>.right{
    right: auto !important;
    left: 1rem !important;
}
/* .sidebar-collapse.sidebar-mini .main-sidebar .sidebar, .sidebar-collapse.sidebar-mini-md .main-sidebar .sidebar, .sidebar-collapse.sidebar-mini-xs .main-sidebar .sidebar {
    -ms-overflow-style: -ms-autohiding-scrollbar !important;
    scrollbar-width: none !important;
} */

element.style {
    overflow-y: auto !important;
}
/* .sidebar-collapse.sidebar-mini .main-sidebar .sidebar, .sidebar-collapse.sidebar-mini-md .main-sidebar .sidebar, .sidebar-collapse.sidebar-mini-xs .main-sidebar .sidebar {
    -ms-overflow-style: -ms-autohiding-scrollbar !important;
    scrollbar-width: none !important;
}
.sidebar-collapse.sidebar-mini .main-sidebar .sidebar, .sidebar-collapse.sidebar-mini-md .main-sidebar .sidebar, .sidebar-collapse.sidebar-mini-xs .main-sidebar .sidebar {
    -ms-overflow-style: -ms-autohiding-scrollbar !important;
    scrollbar-width: none !important;
} */
.sidebar-mini.sidebar-collapse .content-wrapper, .sidebar-mini.sidebar-collapse .main-footer, .sidebar-mini.sidebar-collapse .main-header {
    margin-right: 0;
    margin-right: 4.6rem ;
    margin-left: 0!important;
}
.btn-group>.btn-group:not(:first-child)>.btn, .btn-group>.btn:not(:first-child) {
    border-top-left-radius:inherit;
    border-bottom-left-radius: inherit;
}
.btn-group>.btn-group:not(:first-child)>.btn, .btn-group>.btn:not(:first-child) {
    border-top-right-radius: 0 ;
    border-bottom-right-radius: 0;

}
div.dt-button-collection {
    position: initial;
    z-index: 2001;
}
.buttons-reload{
    border-top-left-radius: 0.24rem !important;
    border-bottom-left-radius: 0.25rem !important;
}
.float-left {
    float: left!important;
}
.sidebar-collapse .main-sidebar, .sidebar-collapse .main-sidebar::before {
    margin-right: -250px !important;
}
.control-sidebar-slide-open .control-sidebar, .control-sidebar-slide-open .control-sidebar::before {
    left: 0 !important;
}
.control-sidebar-dark {
    background-color: #2d3f2d;
}
.control-sidebar,.control-sidebar::before {
    bottom: calc(3.5rem + 1px);
    display: none;
    left: -250px;
    width: 250px;
}

aside {
    left: 0 !important;
}

.control-sidebar {
    bottom: calc(3.5rem + 1px);
    position: absolute;
    top: calc(3.5rem + 1px);
    z-index: 2000 !important;
}
#columns{
    /* left:0 ; */
    transition: unset;
    /* transform: translateX(300px); the element is transposed 300px to the left of where it's supposed to be */
    transition: transform 1s ease-out, visibility 0s;
    background-color: #2d3f2d;


}
div.dataTables_wrapper div.dataTables_filter {
    text-align: left;
}


element.style {
    bottom: 55.9306px;
    top: 0px;
    height: 364px;
    display: block;
}
#columns {
    /* left: 0; */
    transition: unset;
    transition: transform 1s ease-out, visibility 0s;
}
.control-sidebar-slide-open .control-sidebar, .control-sidebar-slide-open .control-sidebar::before {
    left: 0 !important;
}
.control-sidebar-slide-open .control-sidebar, .control-sidebar-slide-open .control-sidebar::before {
    left: 0;
    right: unset;
}
.control-sidebar-slide-open .control-sidebar, .control-sidebar-slide-open .control-sidebar::before {
    right: 0;
    transition: right .3s ease-in-out,display .3s ease-in-out;
}
.control-sidebar-slide-open .control-sidebar {
    display: block;
}
.layout-fixed .control-sidebar {
    bottom: 0;
    float: none;
    position: fixed;
    top: 0;
}
.control-sidebar {
    bottom: calc(3.5rem + 1px);
    position: absolute;
    top: calc(3.5rem + 1px);
    z-index: 2000 !important;
}
.control-sidebar, .control-sidebar::before {
    bottom: calc(3.5rem + 1px);
    display: none;
    left: -250px;
    width: 250px;
}
.control-sidebar-dark {
    background-color: #2d3f2d;
}
.control-sidebar, .control-sidebar::before {
    bottom: calc(3.5rem + 1px);
    display: none;
    left: -250px;
    right: unset;
    width: 250px;
}
.control-sidebar-dark, .control-sidebar-dark .nav-link, .control-sidebar-dark a {
    color: #c2c7d0;
}
.control-sidebar-dark {
    background-color: #343a40;
}
.control-sidebar, .control-sidebar::before {
    bottom: calc(3.5rem + 1px);
    display: none;
    right: -250px;
    width: 250px;
    transition: right .3s ease-in-out,display .3s ease-in-out;
}
.control-sidebar {
    bottom: calc(3.5rem + 1px);
    position: absolute;
    top: calc(3.5rem + 1px);
    z-index: 1031;
}
aside {
    left: 0 !important;
}
article, aside, figcaption, figure, footer, header, hgroup, main, nav, section {
    display: block;
}
* {
    font-family: 'Cairo', sans-serif;
    /* font-weight: 500; */
}
*, *::before, *::after {
    box-sizing: border-box;
}
*, ::after, ::before {
    box-sizing: border-box;
}
user agent stylesheet
aside {
    display: block;
}
style attribute {
    text-align: right;
}
style attribute {
    text-align: right;
    height: auto;
}
body {
    margin: 0;
    font-family: var(--bs-body-font-family);
    font-size: var(--bs-body-font-size);
    font-weight: var(--bs-body-font-weight);
    line-height: var(--bs-body-line-height);
    color: var(--bs-body-color);
    text-align: var(--bs-body-text-align);
    background-color: var(--bs-body-bg);
    -webkit-text-size-adjust: 100%;
    -webkit-tap-highlight-color: rgba(0, 0, 0, 0);
}
body {
    margin: 0;
    font-family: "Source Sans Pro",-apple-system,BlinkMacSystemFont,"Segoe UI",Roboto,"Helvetica Neue",Arial,sans-serif,"Apple Color Emoji","Segoe UI Emoji","Segoe UI Symbol";
    font-size: 1rem;
    font-weight: 400;
    line-height: 1.5;
    color: #212529;
    text-align: left;
    background-color: #fff;
}
:root {
    --bs-blue: #0d6efd;
    --bs-indigo: #6610f2;
    --bs-purple: #6f42c1;
    --bs-pink: #d63384;
    --bs-red: #dc3545;
    --bs-orange: #fd7e14;
    --bs-yellow: #ffc107;
    --bs-green: #198754;
    --bs-teal: #20c997;
    --bs-cyan: #0dcaf0;
    --bs-black: #000;
    --bs-white: #fff;
    --bs-gray: #6c757d;
    --bs-gray-dark: #343a40;
    --bs-gray-100: #f8f9fa;
    --bs-gray-200: #e9ecef;
    --bs-gray-300: #dee2e6;
    --bs-gray-400: #ced4da;
    --bs-gray-500: #adb5bd;
    --bs-gray-600: #6c757d;
    --bs-gray-700: #495057;
    --bs-gray-800: #343a40;
    --bs-gray-900: #212529;
    --bs-primary: #0d6efd;
    --bs-secondary: #6c757d;
    --bs-success: #198754;
    --bs-info: #0dcaf0;
    --bs-warning: #ffc107;
    --bs-danger: #dc3545;
    --bs-light: #f8f9fa;
    --bs-dark: #212529;
    --bs-primary-rgb: 13, 110, 253;
    --bs-secondary-rgb: 108, 117, 125;
    --bs-success-rgb: 25, 135, 84;
    --bs-info-rgb: 13, 202, 240;
    --bs-warning-rgb: 255, 193, 7;
    --bs-danger-rgb: 220, 53, 69;
    --bs-light-rgb: 248, 249, 250;
    --bs-dark-rgb: 33, 37, 41;
    --bs-white-rgb: 255, 255, 255;
    --bs-black-rgb: 0, 0, 0;
    --bs-body-color-rgb: 33, 37, 41;
    --bs-body-bg-rgb: 248, 250, 252;
    --bs-font-sans-serif: "Nunito", sans-serif;
    --bs-font-monospace: SFMono-Regular, Menlo, Monaco, Consolas, "Liberation Mono", "Courier New", monospace;
    --bs-gradient: linear-gradient(180deg, rgba(255, 255, 255, 0.15), rgba(255, 255, 255, 0));
    --bs-body-font-family: var(--bs-font-sans-serif);
    --bs-body-font-size: 0.9rem;
    --bs-body-font-weight: 400;
    --bs-body-line-height: 1.6;
Show All Properties (16 more)
}
:root {
    --blue: #26b396;
    --indigo: #6610f2;
    --purple: #6f42c1;
    --pink: #e83e8c;
    --red: #dc3545;
    --orange: #fd7e14;
    --yellow: #ffc107;
    --green: #28a745;
    --teal: #20c997;
    --cyan: #17a2b8;
    --white: #fff;
    --gray: #6c757d;
    --gray-dark: #343a40;
    --primary: #26b396;
    --secondary: #6c757d;
    --success: #28a745;
    --info: #17a2b8;
    --warning: #ffc107;
    --danger: #dc3545;
    --light: #f8f9fa;
    --dark: #343a40;
    --breakpoint-xs: 0;
    --breakpoint-sm: 576px;
    --breakpoint-md: 768px;
    --breakpoint-lg: 992px;
    --breakpoint-xl: 1200px;
    --font-family-sans-serif: "Source Sans Pro",-apple-system,BlinkMacSystemFont,"Segoe UI",Roboto,"Helvetica Neue",Arial,sans-serif,"Apple Color Emoji","Segoe UI Emoji","Segoe UI Symbol";
    --font-family-monospace: SFMono-Regular,Menlo,Monaco,Consolas,"Liberation Mono","Courier New",monospace;
}
html {
    font-family: sans-serif;
    line-height: 1.15;
    -webkit-text-size-adjust: 100%;
    -webkit-tap-highlight-color: transparent;
}
.control-sidebar-slide-open .control-sidebar, .control-sidebar-slide-open .control-sidebar::before {
    left: 0 !important;
}
.control-sidebar-slide-open .control-sidebar, .control-sidebar-slide-open .control-sidebar::before {
    left: 0;
    right: unset;
}



.control-sidebar::before {
    content: "";
    display: block;
    position: fixed;
    top: 0;
    z-index: -1;
}
.control-sidebar, .control-sidebar::before {
    bottom: calc(3.5rem + 1px);
    display: none;
    left: -250px !important;
    right: unset;
    width: 250px;
    transition: left .3s ease-in-out,display .3s ease-in-out !important;
}



.layout-fixed .main-sidebar {
    bottom: 0;
    float: none;
    right: 0 !important;
    position: fixed;
    top: 0;
}

.ml-auto, .mx-auto {
    margin-right: auto!important;
    margin-left: 0 !important;
}

.sidebar-mini.sidebar-collapse .content-wrapper, .sidebar-mini.sidebar-collapse .main-footer, .sidebar-mini.sidebar-collapse .main-header {
    margin-right: 4.6rem !important;
    /* margin-right: 0 !important; */
    margin-left: 0 !important;
}

@media (min-width: 992px) {

    .sidebar-mini.sidebar-collapse .main-sidebar, .sidebar-mini.sidebar-collapse .main-sidebar::before {
        margin-right: 0 !important;
        width: 4.6rem;
    }
    .sidebar-mini.sidebar-collapse .main-sidebar, .sidebar-mini.sidebar-collapse .main-sidebar::before {
        margin-left: 0 !important;
        width: 4.6rem;
    }
}
